> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletkit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mint NFT

> Mints a NFT from a collection

<Snippet file="header-project-id.mdx" />


## OpenAPI

````yaml post /nfts/mint
openapi: 3.0.1
info:
  title: WalletKit
  version: 0.0.1
servers:
  - url: https://testnet.walletkit.com
    description: testnet
  - url: https://mainnet.walletkit.com
    description: mainnet
security: []
paths:
  /nfts/mint:
    post:
      tags:
        - Nfts
      summary: Mint NFT
      description: Mints a NFT from a collection
      operationId: nfts_mint-nft
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                network:
                  $ref: '#/components/schemas/Network'
                contract_address:
                  type: string
                  description: address of the NFT collection smart contract to mint from.
                recipient:
                  type: string
                  nullable: true
                  description: >-
                    wallet address where the NFT should be delivered. defaults
                    to the sender's address.
                metadata:
                  $ref: '#/components/schemas/MintNftRequestMetadata'
                  nullable: true
                  description: Metadata JSON object.
                uri:
                  type: string
                  nullable: true
                  description: >-
                    uri the the nft metadata.json, schema define in
                    https://eips.ethereum.org/EIPS/eip-721#specification. Use
                    the metadata field instead if the metadata.json doesn't
                    exist and needs to be created and hosted.
                developer_secret:
                  $ref: '#/components/schemas/DeveloperSecret'
                  nullable: true
                user_pin:
                  $ref: '#/components/schemas/UserPin'
                  nullable: true
              required:
                - network
                - contract_address
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionSubmissionResponse'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    Network:
      title: Network
      type: string
      enum:
        - Ethereum
        - Polygon
        - Base
        - Avalanche
        - Polkadot
        - Vara
    MintNftRequestMetadata:
      title: MintNftRequestMetadata
      type: object
      description: Metadata JSON object.
      properties:
        name:
          type: string
          description: Identifies the asset to which this NFT represents
        description:
          type: string
          description: Describes the asset to which this NFT represents
        image:
          type: string
          description: >-
            A URI pointing to a resource with mime type image/* representing the
            asset to which this NFT represents. Consider making any images at a
            width between 320 and 1080 pixels and aspect ratio between 1.91:1
            and 4:5 inclusive.
      required:
        - name
        - description
        - image
    DeveloperSecret:
      title: DeveloperSecret
      type: string
      nullable: true
      description: >-
        On testnet, the developer_secret is always "testnet-secret". On mainnet,
        the developer_secret is set by the developer during account activation.
    UserPin:
      title: UserPin
      type: string
      nullable: true
      description: >-
        A 6-digit numeric pin that is only known to the user, set during wallet
        creation. This pin is required to sign transactions from this wallet.
    TransactionSubmissionResponse:
      title: TransactionSubmissionResponse
      type: object
      properties:
        transaction_id:
          type: string
        network:
          $ref: '#/components/schemas/Network'
        status:
          type: string
      required:
        - transaction_id
        - network
        - status
    ErrorResponse:
      title: ErrorResponse
      type: object
      properties:
        code:
          type: string
          nullable: true
        error:
          type: string
      required:
        - error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````